<?php

// Step 3

    $wpob_the_row = $wpdb->get_row($wpdb->prepare("SELECT `box_name`,`box_type`,`box_settings` from $wpob_tbl_name WHERE id = %s",array($id)));
    $box_name = stripslashes(esc_attr($wpob_the_row->box_name));
    $box_type = $wpob_the_row->box_type;
    $box_settings = unserialize($wpob_the_row->box_settings);
    
    $box_fade_in  = ((isset($box_settings['box_fade_in']) && $box_settings['box_fade_in'] == 1) ? 'checked' : '');
    $box_fade_in_time = (isset($box_settings['box_fade_in_time']) ? $box_settings['box_fade_in_time'] : '');
    $box_make_sticky = ((isset($box_settings['box_make_sticky']) && $box_settings['box_make_sticky'] == 1) ? 'checked' : '');
    
    $wpob_popup_type_radio = (isset($box_settings['wpob_popup_type_radio'])) ? $box_settings['wpob_popup_type_radio'] : 0;
    $wpob_popup_option_val = (isset($box_settings['wpob_popup_option_val'])) ? $box_settings['wpob_popup_option_val'] : 0;
    $wpob_popup_frequency = (isset($box_settings['wpob_popup_frequency'])) ? $box_settings['wpob_popup_frequency'] : 10;
    $wpob_popup_test_mode = ((isset($box_settings['wpob_popup_test_mode']) && $box_settings['wpob_popup_test_mode'] == 1)) ? 'checked' : '';
    
    switch($wpob_popup_type_radio){
        case '1' :  $wpob_popup_duration = $wpob_popup_option_val;
                    $wpob_popup_scroll_percentage = 0;
                    break;
        case '3' :  $wpob_popup_duration = 0;
                    $wpob_popup_scroll_percentage = $wpob_popup_option_val;
                    break;
        default :   $wpob_popup_duration = 0;
                    $wpob_popup_scroll_percentage = 0;
                    break;
    }
    
    echo (isset($_GET['success']) && $_GET['success'] == 1) ? "<div class='updated'><p>".__("Box customizations updated successfully! Save the final box settings below and you'll have the box ready to use.","wp-optin-boxes") ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();return false;'>". __('Close','wp-optin-boxes') ."</a></p></div>" : "";
    
?>
    <div class="postbox">
        <h3><?php _e('Box Settings','wp-optin-boxes'); ?></h3>
        <div class="inside">
            <table class="form-table">
                <tbody>
                    <tr>
                        <th scope="row"><label for=""><?php _e('Box Name','wp-optin-boxes'); ?></label></th>
                        <td>
                            <input type="text" name="box_name" id="box_name" value="<?php echo $box_name; ?>"/>
                            <p class="wpob_help_block"><?php _e('Change the name of this conversion box.','wp-optin-boxes'); ?></p>
                        </td>
                    </tr>
                    <?php if($box_type != 5 && $box_type != 6) : ?>
                    <tr>
                        <th scope="row"><label for=""><?php _e('Box Fade In/Out Effect (Optional)','wp-optin-boxes'); ?></label></th>
                        <td>
                            <label for="box_fade_in"><input type="checkbox" name="box_fade_in" id="box_fade_in" <?php echo $box_fade_in; ?>/> <?php _e('Enable Flash Effect. ','wp-optin-boxes'); ?></label>
                            <label for="box_fade_in_time"> <?php _e('Fade In/Out duration:','wp-optin-boxes'); ?> <input type="text" name="box_fade_in_time" id="box_fade_in_time" value="<?php echo $box_fade_in_time; ?>" /> <?php _e('seconds.','wp-optin-boxes'); ?></label>
                            <p class="wpob_help_block"><?php _e("Give a cool fade in/out (flash) effect to the box so that it grabs user's attention.",'wp-optin-boxes'); ?></p>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row"><label for=""><?php _e('Make Box Sticky (Optional)','wp-optin-boxes'); ?></label></th>
                        <td>
                            <label for="make_sticky"><input type="checkbox" name="make_sticky" id="make_sticky"  <?php echo $box_make_sticky; ?> /><?php _e('Make Sticky','wp-optin-boxes'); ?></label>
                            <p class="wpob_help_block"><?php _e('Make the box stick to top when user scrolls past the box.','wp-optin-boxes'); ?></p>
                        </td>
                    </tr>
                    <?php endif; ?>
                    
                    <?php if($box_type == 6) : ?>
                    <tr>
                        <th scope="row"><label for=""><?php _e('How to Show this Smart Popup?','wp-optin-boxes'); ?></label></th>
                        <td>
                            <div class='wpob_popup_type'>
                                <input type="radio" class="wpob_popup_type_radio" id="wpob_popup_1" name="wpob_popup_type" value="1" <?php echo "checked"; ?>>
                                    <label for="wpob_popup_1" id="wpob_popup_1_label"><?php _e('Timed Popup','wp-optin-boxes'); ?></label>
                                 <input type="radio" class="wpob_popup_type_radio" id="wpob_popup_2" name="wpob_popup_type" value="2" <?php if($wpob_popup_type_radio == '2') echo "checked"; ?>>
                                    <label for="wpob_popup_2" id="wpob_popup_2_label"><?php _e('Exit Popup','wp-optin-boxes'); ?></label>  
                                 <input type="radio" class="wpob_popup_type_radio" id="wpob_popup_3" name="wpob_popup_type" value="3" <?php if($wpob_popup_type_radio == '3') echo "checked";?>>
                                    <label for="wpob_popup_3" id="wpob_popup_3_label"><?php _e('Scroll-triggered Popup','wp-optin-boxes'); ?></label>
                            </div>    
                                
                            <div class="wpob_popup_div wpob_popup_type_1">
                                <label for="wpob_popup_duration"> <?php _e('Trigger popup after ','wp-optin-boxes'); ?> <input style="width: 50px;" type="number" name="wpob_popup_duration" id="wpob_popup_duration" value="<?php echo $wpob_popup_duration; ?>" /> <?php _e('seconds of the user visit.','wp-optin-boxes'); ?></label>
                                <p class="wpob_help_block"><?php _e("Enter duration in seconds (eg. <b>10</b> seconds) after which the popup should be triggered and shown to the visitor.",'wp-optin-boxes'); ?></p>
                            </div>
                            <div class="wpob_popup_div wpob_popup_type_2">
                                <p class="wpob_help_block"><?php _e("Popup will be triggered when someone tries to leave the website.",'wp-optin-boxes'); ?></p>
                            </div>
                            <div class="wpob_popup_div wpob_popup_type_3">
                                <label for="wpob_popup_scroll_percentage"> <?php _e('Trigger popup after user scrolls ','wp-optin-boxes'); ?> <input style="width: 50px;" type="number" name="wpob_popup_scroll_percentage" id="wpob_popup_scroll_percentage" value="<?php echo $wpob_popup_scroll_percentage; ?>" /> <?php _e('% of the web page.','wp-optin-boxes'); ?></label>
                                <p class="wpob_help_block"><?php _e("Enter value in percentage (0-100).",'wp-optin-boxes'); ?></p>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row"><label for=""><?php _e('Smart Popup Frequency','wp-optin-boxes'); ?></label></th>
                        <td>
                            <label for="wpob_popup_frequency"><input style="width: 50px;" type="number" name="wpob_popup_frequency" id="wpob_popup_frequency" value="<?php echo $wpob_popup_frequency; ?>" /> <?php _e('days.','wp-optin-boxes'); ?></label>
                            <p class="wpob_help_block"><?php _e("Enter number of days (0-100) after which the popup will be shown again to the user after the first visit. Keep value 0 to show popup on every page view. Default value : 10 days.",'wp-optin-boxes'); ?></p>
                        </td>    
                    </tr>
                    <tr>
                        <th scope="row"><label for=""><?php _e('Test Mode','wp-optin-boxes'); ?></label></th>
                        <td>
                            <label for="wpob_popup_test_mode"><input type="checkbox" name="wpob_popup_test_mode" id="wpob_popup_test_mode" value="1" <?php echo $wpob_popup_test_mode; ?> /> <?php _e(' Enable Test Mode','wp-optin-boxes'); ?></label>
                            <p class="wpob_help_block"><?php _e("Tick the checkbox above to when you want to test how your popup will show up on site. This prevents the cookie to be set and you'll see the popup on every page load. When ready for live site, just untick it and Save again.",'wp-optin-boxes'); ?></p>
                        </td>    
                    </tr>
                    <?php endif; ?>
                </tbody>
            </table>            
        </div>
    </div>

    <div class="wpob_nav_buttons_step_3">
        <input type="submit" box_id="<?php echo $id; ?>" value="<?php _e('Save and Publish!','wp-optin-boxes'); ?>" class="button button-primary" name="update-box-settings" id="update-box-settings"/>
    </div>


<?php

    $checked_1 = ($id == get_option('wpob_default_box')) ? "checked" : "1";
    $checked_2 = ($id == get_option('wpob_all_posts')) ? "checked" : "2";
    $checked_3 = ($id == get_option('wpob_all_pages')) ? "checked" : "3";

    if($checked_1 == $checked_2 || $checked_1 == $checked_3 || $checked_2 == $checked_3){
        $checked_0 = "checked";
    }
    else{
        $checked_0 = "";
    }
    
?>

    <div class="wpob_after_finish">
        <div id="wpob_after_finish_head">
            <h1><?php ($box_type != 6) ? _e('Your Box Was Created Successfully!','wp-optin-boxes') : _e('Smart Popup Created Successfully!','wp-optin-boxes'); ?></h1>
            <span class="fa fa-close wpob_publish_close" style="position: absolute; top: 20px; right: 20px; cursor: pointer;" onclick="jQuery(this).parent().trigger('close');"></span>
        </div>
        <div id="wpob_after_finish_body">
            
            <?php if($box_type != 5) : ?>
            
                <p><?php _e('Now you can place this box on your blog using the following placement options:','wp-optin-boxes'); ?></p>
                <table class="form-table">
                    <tbody>
                        <tr>
                            <th scope="row" style="width: 200px;"><label for=""><?php _e('Box Placement :','wp-optin-boxes'); ?></label></th>
                            <td>
                                <ul>
                                    <li><label><input type="radio" name="wpob_gloabal_placement" id="wpob_gloabal_placement" value="1" <?php echo $checked_1 ?>><?php ($box_type != 6) ? _e('Place this box under all Posts and Pages (Sitewide).','wp-optin-boxes') : _e('Show this Smart Popup on all Posts and Pages (Sitewide).','wp-optin-boxes'); ?></label></li>
                                    <li><label><input type="radio" name="wpob_gloabal_placement" id="wpob_gloabal_placement" value="2" <?php echo $checked_2 ?>><?php ($box_type != 6) ? _e('Place this box under all Posts.','wp-optin-boxes') : _e('Show this Smart Popup on all Posts.','wp-optin-boxes'); ?></label></li>
                                    <li><label><input type="radio" name="wpob_gloabal_placement" id="wpob_gloabal_placement" value="3" <?php echo $checked_3 ?>><?php ($box_type != 6) ? _e('Place this box under all Pages.','wp-optin-boxes') : _e('Show this Smart Popup on all Pages.','wp-optin-boxes'); ?></label></li>
                                    <li><label><input type="radio" name="wpob_gloabal_placement" id="wpob_gloabal_placement" value="0" <?php echo $checked_0 ?>><?php _e('Custom Placement. (Click here to reveal more box placement options below.)','wp-optin-boxes'); ?></label></li>
                                </ul>
                                <p class="description">
                                    <?php echo ($box_type != 6) ? sprintf( __("Place this box globally using the above options or click on <b>Custom Placement</b> to see more placement options. You can change this anytime in future by coming back to this page or using the <b>Sitewide Settings</b> on the <a target='_blank' href='%s'>Global Settings</a> page.",'wp-optin-boxes') , admin_url( 'admin.php?page=' . $this->wpob_settings_slug ))
                                            : sprintf( __("Show this Smart Popup globally on all posts and pages. You can change this anytime in future by coming back to this page or using the <b>Sitewide Settings</b> on the <a target='_blank' href='%s'>Global Settings</a> page.",'wp-optin-boxes') , admin_url( 'admin.php?page=' . $this->wpob_settings_slug ) ) ; ?>
                            </td>    
                        </tr>
                        <tr class="wpob_custom_box_placement_option">
                            <th scope="row" style="width: 200px;"><label for=""><?php _e('Shortcode :','wp-optin-boxes'); ?></label></th>
                            <td>
                                <p><input type='text' value='[wpob id="<?php echo $id; ?>"]' /></p>
                                <p class="description"><?php echo ($box_type != 6) ? sprintf( __("You can place this box almost anywhere on your blog using this shortcode. If you want to use this box inside your theme you can do so by pasting the following code there: <code>&lt;?php echo do_shortcode('[wpob id=\"%d\"]'); ?&gt;</code>",'wp-optin-boxes') , $id)
                                    : sprintf( __("Show this popup on any page/post by using this shortcode. To put it inside theme template use this code: <code>&lt;?php echo do_shortcode('[wpob id=\"%d\"]'); ?&gt;</code>",'wp-optin-boxes') , $id); ?></p>
                            </td>    
                        </tr>
                    </tbody>
                </table>
            
            <?php else : ?>
            
                <p><?php _e('Now you can place this 2-Step Optin Link on your blog using a shortcode. Below you can customize how your Optin Link should look like. Put the shortcode in your content where you want to show this Optin Link. Clicking this link will show the email optin box in popup that you customized in Step 2.','wp-optin-boxes'); ?></p>
                <h3>Shortcode Generator: </h3>
                <table class="form-table">
                    <tbody>
                        <tr>
                            <th scope="row" style="width: 200px;"><label for=""><?php _e('Optin Link Text','wp-optin-boxes'); ?></label></th>
                            <td>
                                <p><input type='text' value='Click Here' id="two_step_toptin_link_text" /></p>
                            </td>    
                        </tr>
                        <tr>
                            <th scope="row" style="width: 200px;"><label for=""><?php _e('Optin Link Style','wp-optin-boxes'); ?></label></th>
                            <td>
                                <p>
                                    <select id="two-step-optin-link-style">
                                        <option value="none">No Style</option>
                                        <option value="image">Use Image</option>
                                        <option value="blue_flat">Blue Flat</option>
                                        <option value="blue_gradient">Blue Gradient</option>
                                        <option value="blue_3d">Blue 3D</option>
                                        <option value="black_flat">Black Flat</option>
                                        <option value="black_gradient">Black Gradient</option>
                                        <option value="green_flat">Green Flat</option>
                                        <option value="green_gradient">Green Gradient</option>
                                        <option value="red_flat">Red Flat</option>
                                        <option value="red_gradient">Red Gradient</option>
                                        <option value="voilet_flat">Voilet Flat</option>
                                        <option value="voilet_gradient">Voilet Gradient</option>
                                        <option value="orange_flat">Orange Flat</option>
                                        <option value="orange_gradient">Orange Gradient</option>
                                        <option value="yellow_flat">Yellow Flat</option>
                                        <option value="yellow_gradient">Yellow Gradient</option>
                                    </select>
                                </p>
                                <p id="two_step_img">
                                    <input id="two_step_image_url" type="text" name="image_url" placeholder="http://" value="" /> 
                                    <input id="two_step_wpob_img_upload" align="right" class="button" type="button" value="<?php _e('Upload Image','wp-optin-boxes'); ?>" />
                                </p>
                            </td>    
                        </tr>
                        <tr>
                            <th scope="row" style="width: 200px;"><label for=""><?php _e('Optin Link Preview :','wp-optin-boxes'); ?></label></th>
                            <td>
                                <a id="wpob_two_step_optin_link">Click Here</a>
                            </td>    
                        </tr>
                        <tr>
                            <th scope="row" style="width: 200px;"><label for=""><?php _e('Generated Shortcode :','wp-optin-boxes'); ?></label></th>
                            <td>
                                <p>
                                    <code class="wpob_shortcode_code">[wpob id="<?php echo $id; ?>"<span id="wpob_shortcode_text"> text="Click Here"</span><span id="wpob_shortcode_style"> style="none"</span><span id="wpob_shortcode_img_url"></span>]</code>
                                    <input id="wpob_shortcode_input" style="width: 100%;" />
                                </p>
                                <p class="description"><?php echo sprintf( __("You can place this 2-Step Optin Link almost anywhere on your blog using this shortcode.",'wp-optin-boxes') , $id); ?></p>
                            </td>    
                        </tr>
                    </tbody>
                </table>
                
            <?php endif; ?>
            
        </div>
        <div id="wpob_after_finish_foot">
            <a class="button button-primary" style="float: left;" href="<?php echo admin_url( 'admin.php?page=' . $this->wpob_edit_slug ); ?>"><?php _e('Create Another Box','wp-optin-boxes'); ?></a>
            <?php if($box_type != 5) : ?>
                <button class="button button-primary wpob_publish_now" data-boxid="<?php echo $id ?>"><?php _e('Publish Now!','wp-optin-boxes'); ?></button>
                <button class="button button-primary wpob_publish_close" onclick="jQuery(this).parent().trigger('close');window.location.href='<?php echo admin_url( 'admin.php?page=' . $this->wpob_main_slug ); ?>'"><?php _e('Later','wp-optin-boxes'); ?></button>
            <?php else: ?>
                <button class="button button-primary wpob_publish_close" onclick="jQuery(this).parent().trigger('close');window.location.href='<?php echo admin_url( 'admin.php?page=' . $this->wpob_main_slug ); ?>'"><?php _e('Done','wp-optin-boxes'); ?></button>
            <?php endif; ?>
        </div>
    </div>