<?php
    global $wpdb;
    $wpob_tracking = WPOB_Tracker::get_instance();
    $wpob_tbl_name = $this->wpob_boxes_table;
    $results = $wpdb->get_results("SELECT id,box_name,box_status,box_type FROM $wpob_tbl_name ORDER BY id");
    $result_count = count($results);
    if($result_count != 0){
        $count = 1;
        ?>
        <table class="wp-list-table widefat fixed posts" style="clear: none;">
            <thead>
                <tr>
                    <?php if(get_option('wpob_conversion_tracking') == 1){ ?>
                    <th width="30%"><?php _e('WP Optin Boxes Name','wp-optin-boxes'); ?></th>
                    <th style="text-align: center;"><?php _e('Unique Visitors','wp-optin-boxes'); ?></th>
                    <th style="text-align: center;"><?php _e('Box Impressions','wp-optin-boxes'); ?></th>
                    <th style="text-align: center;"><?php _e('Box Views','wp-optin-boxes'); ?></th>
                    <th style="text-align: center;"><?php _e('Conversions','wp-optin-boxes'); ?></th>
                    <th style="text-align: center;"><?php _e('Conversion Rate','wp-optin-boxes'); ?></th>
                    <?php } else { ?>
                    <th><?php _e('WP Optin Boxes Name','wp-optin-boxes'); ?></th>
                    <th><?php _e('Box Options','wp-optin-boxes'); ?></th>
                    <?php } ?>
                </tr>
            </thead>

            <tfoot>
                <tr>
                    <?php if(get_option('wpob_conversion_tracking') == 1){ ?>
                    <th width="30%"><?php _e('WP Optin Boxes Name','wp-optin-boxes'); ?></th>
                    <th style="text-align: center;"><?php _e('Unique Visitors','wp-optin-boxes'); ?></th>
                    <th style="text-align: center;"><?php _e('Box Impressions','wp-optin-boxes'); ?></th>
                    <th style="text-align: center;"><?php _e('Box Views','wp-optin-boxes'); ?></th>
                    <th style="text-align: center;"><?php _e('Conversions','wp-optin-boxes'); ?></th>
                    <th style="text-align: center;"><?php _e('Conversion Rate','wp-optin-boxes'); ?></th>
                    <?php } else { ?>
                    <th><?php _e('WP Optin Boxes Name','wp-optin-boxes'); ?></th>
                    <th><?php _e('Box Options','wp-optin-boxes'); ?></th>
                    <?php } ?>
                </tr>
            </tfoot>

            <tbody id="the-list">
            <?php
            foreach ($results as $result){
                $id = $result->id;
                $name = stripcslashes($result->box_name);
                $box_status = $result->box_status;
                $box_type = $result->box_type;
                $conversion_type = ($box_type == 1 || $box_type == 2 || $box_type == 5 || $box_type == 6) ? "<span class='wpob_conversion_type'>". __('Optins','wp-optin-boxes') . "</span>" : "<span class='wpob_conversion_type'>". __('Clicks','wp-optin-boxes') . "</span>";
                $pageviews = $wpob_tracking->page_views($id);
                $uniquevisitors = $wpob_tracking->unique_visitors($id);
                $uniqueboxviews = $wpob_tracking->box_views($id);
                $conversions = $wpob_tracking->get_conversions($id);
                $conversion_rate = ($uniqueboxviews != 0 && $conversions !=0) ? round(($conversions/$uniqueboxviews)*100, 2) : 0;
                
                if($box_status == 1){
                    $switch_class = 'switch_on';
                    $change_status_to = 0;
                }
                else{
                    $switch_class = 'switch_off';
                    $change_status_to = 1;
                }
                
                $wpob_list = ++$count % 2 == 0 ? "<tr class='alternate wpob-list-item-".$id."'>": "<tr class='wpob-list-item-".$id."'>";
                $wpob_list .= "<td width='30%'>".$name;
                
                if(get_option('wpob_conversion_tracking') == 0){
                    $wpob_list .= "</td><td>";
                }
                
                $wpob_list .= "<div class='wpob-boxes-menu-toggle'><i class='fa fa-cog'></i> ". __('Options','wp-optin-boxes') ." <span class='fa fa-caret-down'></span></div><div class='wpob-boxes-menu'><div class='wpob-menu-left'><h3>". __('Customizations','wp-optin-boxes') ."</h3><ul class='wpob-menu-ul'>";
                $wpob_list .= "<li class='wpob-boxes-menu-item'><a href='".admin_url( 'admin.php?page=' . $this->wpob_edit_slug .'&step=1&id=' . $id )."' ><i class='fa fa-list'></i> ". __('Change Box Template','wp-optin-boxes') ."</a></li>";
                $wpob_list .= "<li class='wpob-boxes-menu-item'><a href='".admin_url( 'admin.php?page=' . $this->wpob_edit_slug .'&step=2&id=' . $id )."' ><i class='fa fa-paint-brush'></i> ". __('Customize Box Design','wp-optin-boxes') ."</a></li>";
                $wpob_list .= "<li class='wpob-boxes-menu-item'><a href='".admin_url( 'admin.php?page=' . $this->wpob_edit_slug .'&step=3&id=' . $id )."' ><i class='fa fa-wrench'></i> ". __('Box Settings','wp-optin-boxes') ."</a></li>";
                $wpob_list .= "<li class='wpob-boxes-menu-item'><a href='".admin_url( 'admin.php?page=' . $this->wpob_main_slug .'&duplicate=' . $id )."' ><i class='fa fa-copy'></i> ". __('Duplicate This Box','wp-optin-boxes') ."</a></li>";
                $wpob_list .= "<li class='wpob-boxes-menu-item'><a><i class='fa fa-info-circle'></i> ". __('Box Status','wp-optin-boxes') ."<div wpob_id='".$id."' change_status_to='".$change_status_to."' class='wpob_disable_switch ".$switch_class."'> <div class='switch_toggle'></div> <span class='switch_on'>". __('Enabled','wp-optin-boxes') ."</span> <span class='switch_off'>". __('Disabled','wp-optin-boxes') ."</span> </div><div class='wpob-disable-loading'><i class='fa fa-spinner fa-spin'></i></div></a></li>";
                $wpob_list .= "<li class='wpob-boxes-menu-item'><a class='wpob_delete' style='color: #a00;' href='' wpob_id='".$id."'><i class='fa fa-trash'></i> ". __('Delete Box','wp-optin-boxes') ."</a></li></ul></div>";
                $wpob_list .= "<div class='wpob-menu-right'>";
                $wpob_list .= "<h3>". __('Statistics','wp-optin-boxes') ."</h3><ul class='wpob-menu-ul'>";
                        
                if(get_option('wpob_conversion_tracking') == 0){
                    $wpob_list .= "<li class='wpob-boxes-menu-item'><a href='#' ><strike><i class='fa fa-line-chart'></i> ". __('Tracking Disabled','wp-optin-boxes') ."</a></strike></li>";
                }
                else {
                    $wpob_list .= "<li class='wpob-boxes-menu-item'><a href='".admin_url( 'admin.php?page=' . $this->wpob_main_slug .'&action=allstats&id=' . $id )."' ><i class='fa fa-line-chart'></i> ". __('Detailed Stats','wp-optin-boxes') ."</a></li>";
                    $wpob_list .= ($pageviews != 0) ? "<li class='wpob-boxes-menu-item'><a class='wpob_flush' style='color: #a00;' href='' wpob_id='".$id."'><i class='fa fa-undo'></i> ". __('Reset Box Stats','wp-optin-boxes') ."</a></li>" : "";
                }
                
                $wpob_list .= "</ul><h3>". __('Shortcode','wp-optin-boxes') ."</h3><ul class='wpob-menu-ul'><li class='wpob-boxes-menu-item' style='padding: 5px 10px;'><input type='text' id='wpob-shortcode-select' value='[wpob id=\"".$id."\"]' ></li>";
                $wpob_list .= "</ul></div></div></td>";

                if(get_option('wpob_conversion_tracking') == 1){
                    $wpob_list .= "<td id='wpob_unique_visitors'>".number_format($uniquevisitors)."</td>";
                    $wpob_list .= "<td id='wpob_pageviews'>".number_format($pageviews)."</td>";
                    $wpob_list .= "<td id='wpob_box_views'>".number_format($uniqueboxviews)."</td>";
                    $wpob_list .= "<td id='wpob_ctr_optins'>".number_format($conversions).$conversion_type."</td>";
                    $wpob_list .= "<td id='wpob_ctr_optins_percent'>".$conversion_rate."%</td>";
                }
                
                $wpob_list .= "</tr>";
                echo $wpob_list;
            }
            ?>
            </tbody>
        </table>
        <?php
        if(get_option('wpob_conversion_tracking') == 0){ 
            echo "<p><b>Note: </b> You have Conversion Tracking disabled in <a href='".admin_url( 'admin.php?page=' . $this->wpob_settings_slug )."'>Global Settings</a>.</p>"; 
        }
    }
    else{
        echo sprintf( __( 'No boxes found. Please <a href="%s">click here</a> to create a new WP Optin Box.','wp-optin-boxes'), admin_url( 'admin.php?page=' . $this->wpob_edit_slug));
    }
    