<?php

/*************************************
* Global Settings Page
*************************************/

$wpob = WPOB_Admin::get_instance();

if(isset($_GET['step'])){
    $step = $_GET['step'];
}

/************************
* GetResponse : 1
* MailChimp : 2
* Aweber : 3
* MadMimi : 4
* Constant Contact : 5
* Campaign Monitor : 6
* Infusion Soft : 7
* iContact : 8
* MailPoet : 9
* Pardot : 10
* Feedburner : 11 
* Active Campaign : 12
* GotoWebinar : 13
*************************/

if(isset($_POST['mailer']) and isset($_POST['apikey']) and isset($_POST['connect'])){
    $mailer_id = $_POST['mailer'];
    $api_key = $_POST['apikey'];
    
    switch($mailer_id){

        //GetResponse
        case 1: if (!class_exists('jsonRPCClient')) {
                    include_once(plugin_dir_path(dirname(__FILE__)).'mailers/getresponse-api.php');
                }
                    $getresponse = new jsonRPCClient('http://api2.getresponse.com');
                    try{
                        $name = array();
                        $allgrcampaigns = $getresponse->get_campaigns($api_key);
                        foreach($allgrcampaigns as $grcampaign){
                            $campaign_name = $grcampaign['name'];
                            $result = $getresponse->get_campaigns($api_key, array ('name' => array ( 'EQUALS' => $campaign_name )));
                            $res = array_keys($result);
                            $campaign_id = array_pop($res);
                            $getresponse_campaigns[$campaign_id] = $campaign_name;
                        }
                        $getresponse_campaigns = serialize($getresponse_campaigns);
                        update_option('wpob_getresponse_api_key',$api_key);
                        update_option('wpob_getresponse_campaigns',$getresponse_campaigns);
                        $showresponse_1 = "<div class='wpob_success' style='margin: 0px 10px 10px 10px;'><p>". __('Connected to API successfully.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                    }
                    catch (Exception $e){
                        echo $e->getMessage();
                        $showresponse_1 = "<div id='wpob_error' style='margin: 0px 10px 10px 10px;'><p>". __('Invalid API Key. Please try again.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                    }
                    echo "</ul>";
                break;
        
        // MailChimp
        case 2: if (!class_exists('MCAPI')) {
                    include_once(plugin_dir_path(dirname(__FILE__)).'mailers/mailchimp-api.php');
                }
                $mailchimp = new MCAPI($api_key);       
                $allmclists = $mailchimp->lists();
                if($allmclists['total'] == 0){
                    $showresponse_2 = "<div id='wpob_error' style='margin: 0px 10px 10px 10px;'><p>". __('No lists found. Please create a list and try again later.', 'wp-optin-boxes') ." <a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                } 
                else{
                    foreach($allmclists['data'] as $mclist){
                        $mailchimp_lists[$mclist['id']] = $mclist['name'];
                    }
                    $mailchimp_lists_serialized = serialize($mailchimp_lists);
                    update_option('wpob_mailchimp_api_key',$api_key);
                    update_option('wpob_mailchimp_lists',$mailchimp_lists_serialized);
                    $showresponse_2 = "<div class='wpob_success' style='margin: 0px 10px 10px 10px;'><p>". __('Connected to API successfully.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                break;
                
        // Aweber                
        case 3: if (!class_exists('AWeberAPI')) {
                    include_once(plugin_dir_path(dirname(__FILE__)).'mailers/aweber_api/aweber_api.php');
                }
                try {
                        $aweber_data = AWeberAPI::getDataFromAweberID($api_key);
                        $aweber = new AWeberAPI($aweber_data[0], $aweber_data[1]);
                        $account = $aweber->getAccount($aweber_data[2], $aweber_data[3]);
                        $allaweberlists = $account->lists;
                        foreach($allaweberlists as $aweberlist){
                            $aweber_lists[$aweberlist->id] = $aweberlist->name;
                        }
                        $aweber_data_serialized = serialize($aweber_data);
                        $aweber_lists_serialized = serialize($aweber_lists);
                        update_option('wpob_aweber_api_key',$aweber_data_serialized);
                        update_option('wpob_aweber_lists',$aweber_lists_serialized);
                        $showresponse_3 = "<div class='wpob_success' style='margin: 0px 10px 10px 10px;'><p>". __('Connected to Aweber successfully.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                catch (Exception $ex) {
                        $showresponse_3 = "<div id='wpob_error' style='margin: 0px 10px 10px 10px;'><p>". __('Invalid authorization Key. Please try again.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                break;
        
        // MadMimi
        case 4: if($_POST['madmimi_login'] != ''){
            
                    $madmimi_username = $_POST['madmimi_login'];
                    if (!class_exists('MadMimi')) {
                        include_once( MAILERS_DIR_PATH . 'madmimi/MadMimi.class.php');
                    }
                    $madmimi = new MadMimi($madmimi_username, $api_key);
                    // If XML is not returned, we need to send an error message.
                    libxml_use_internal_errors(true);
                    $lists = simplexml_load_string($madmimi->Lists());
                    if (!$lists) {
                        echo "<div class='error'><p>". __('Invalid API Key. Please try again.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                    } else {
                        $madmimi_data['api_key'] = $api_key;
                        $madmimi_data['username'] = $madmimi_username;

                        foreach($lists->list as $list){
                            $madmimi_lists[(string)$list['id']] = (string)$list['name'];
                        }
                        
                        $madmimi_data_serialized = serialize($madmimi_data);
                        $madmimi_lists_serialized = serialize($madmimi_lists);
                        update_option('wpob_madmimi_api_key',$madmimi_data_serialized);
                        update_option('wpob_madmimi_lists',$madmimi_lists_serialized);                        
                        echo "<div class='updated'><p>". __('Connected to MadMimi successfully.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                    }
                }
                else{
                    echo "<div class='error'><p>". __('Please enter your MadMimi username/email id.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
            
                
                break;
                
        // Constant Contact                
        case 5: 
                $constant_contact = wp_remote_get('https://api.constantcontact.com/v2/lists?api_key=wcp88fmhmyxmegwbpvcpz36x&access_token=' . $api_key);
                $all_constant_contact_lists = json_decode(wp_remote_retrieve_body($constant_contact));
                if(isset($all_constant_contact_lists[0]->error_key)){
                    echo "<div class='error'><p>". __('Invalid access token. Please try again.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                else{
                    foreach ((array) $all_constant_contact_lists as $list){
                        $constant_contact_lists[$list->id] = $list->name;
                    }
                    $constant_contact_lists_serialized = serialize($constant_contact_lists);
                    update_option('wpob_constant_contact_api_key',$api_key); // This is access token
                    update_option('wpob_constant_contact_lists',$constant_contact_lists_serialized);  
                    echo "<div class='updated'><p>". __('Connected to Constant Contact successfully.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                
                
                break;
                
        // Campaign Monitor
        case 6: if (!class_exists('CS_Rest_General')) {
                    include_once( MAILERS_DIR_PATH . 'campaign-monitor/csrest_general.php');
                }
                $campaign_monitor = new CS_Rest_General(array('api_key' => $api_key));
                $campaign_monitor_clients = $campaign_monitor->get_clients();

                if (!$campaign_monitor_clients->was_successful()) {
                    echo "<div class='error'><p>". __('Invalid API Key. Please try again.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                } 
                else {
                    foreach ((array) $campaign_monitor_clients->response as $client){
                        //$client->ClientID = $client->Name ;
                        if(isset($_POST['cm_client_name']) && $_POST['cm_client_name'] == $client->Name){
                            $client_name = $client->Name;
                            $client_id = $client->ClientID;
                            break;
                        }
                    }
                    
                    if($client_name != '' && $client_id != ''){
                        include_once( MAILERS_DIR_PATH . 'campaign-monitor/csrest_clients.php');
                        $client = new CS_Rest_Clients($client_id, $api_key);
                        $lists = $client->get_lists();
                        foreach ((array) $lists->response as $list){
                            $campaign_monitor_lists[$list->ListID] = $list->Name;
                        }
                        $campaign_monitor_lists_serialized = serialize($campaign_monitor_lists);
                        update_option('wpob_campaign_monitor_api_key',$api_key); 
                        update_option('wpob_campaign_monitor_lists',$campaign_monitor_lists_serialized);  
                         echo "<div class='updated'><p>". __('Connected to Campaign Monitor successfully.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                    }
                    else{
                        echo "<div class='error'><p>". __('Please enter a valid Client Name.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                    }                    
                }
                break;
        // Infusionsoft
        case 7: if(isset($_POST['subdomain_name']) && $_POST['subdomain_name'] != ''){
                    $subdomain_name = $_POST['subdomain_name'];
                    if (!class_exists('iSDK')) {
                        include_once( MAILERS_DIR_PATH . 'infusionsoft/isdk.php');
                    }
                    try {
                        $infusionsoft = new iSDK();
                        $infusionsoft->cfgCon($subdomain_name, $api_key, 'throw');
                    } catch (iSDKException $e) {
                        echo "<div class='error'><p>".sprintf( __('Sorry, but Infusionsoft was unable to grant access to your account data. Infusionsoft gave this response: <em>%s</em>. Please try entering your information again.', 'wp-optin-boxes' ), $e->getMessage())."</p></div>";
                        break;
                    }
                    $page = 0;
                    $all_res = array();
                    while (true) {
                        $res = $infusionsoft->dsQuery('ContactGroup', 1000, $page, array('Id' => '%'), array('Id', 'GroupName'));
                        $all_res = array_merge($all_res, $res);
                        if (count($res) < 1000)
                            break;

                        $page++;
                    }
                    foreach ((array) $all_res as $group){
                        $infusionsoft_lists[$group['Id']] = $group['GroupName'];
                    }
                    $infusionsoft_api_data = array('subdomain' => $subdomain_name, 'api_key' => $api_key);
                    $infusionsoft_api_data_serialized = serialize($infusionsoft_api_data);
                    $infusionsoft_lists_serialized = serialize($infusionsoft_lists);
                    update_option('wpob_infusionsoft_api_key',$infusionsoft_api_data_serialized); 
                    update_option('wpob_infusionsoft_lists',$infusionsoft_lists_serialized);  
                    echo "<div class='updated'><p>". __('Connected to Infusionsoft successfully.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                else{
                    echo "<div class='error'><p>". __('Please enter a valid sub-doamin name.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                break;
        // iContact
        case 8 :if($_POST['app_password'] != '' && $_POST['icontact_username'] != ''){
                    $username = $_POST['icontact_username'];
                    $app_password = $_POST['app_password'];
                    if (!class_exists('iContactApi')) {
                        include_once( MAILERS_DIR_PATH . 'icontact/iContactApi.php');
                    }
                    try {
                        iContactApi::getInstance()->setConfig(array(
                            'appId' => $api_key,
                            'apiPassword' => $app_password,
                            'apiUsername' => $username
                        ));
                        $icontact = iContactApi::getInstance();
                        $all_icontact_lists = $icontact->getLists();
                    } catch (Exception $e) {
                        $errors = $icontact->getErrors();
                        echo "<div class='error'><p>".sprintf( __('Sorry, but iContact was unable to grant access to your account data. iContact gave this response: <em>%s</em>. Please try entering your information again.', 'wp-optin-boxes'), $errors[0])."</p></div>";
                        break;
                    }
                    foreach ($all_icontact_lists as $list){
                        $icontact_lists[ $list->listId ] = $list->name ;
                    }
                    $icontact_api_data = array(
                        'api_key' => $api_key,
                        'app_password' => $app_password,
                        'username' => $username
                    );
                    $icontact_api_data_serialized = serialize($icontact_api_data);
                    $icontact_lists_serialized = serialize($icontact_lists);
                    update_option('wpob_icontact_api_key',$icontact_api_data_serialized);
                    update_option('wpob_icontact_lists',$icontact_lists_serialized);
                    echo "<div class='updated'><p>". __('Connected to iContact successfully.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                else{
                    echo "<div class='error'><p>". __('Please enter iContact Username/Application Password.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }    
                break;
        
        // MailPoet
        case 9: 
                break;
                
        // Pardot
        case 10:if($_POST['username'] == ''){
                    echo "<div class='error'><p>". __('Please enter Pardot Username.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                else if($_POST['password'] == ''){
                    echo "<div class='error'><p>". __('Please enter Pardot Password.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                else{
                    $username = $_POST['username'];
                    $password = $_POST['password'];
                    if (!class_exists('Pardot_OM_API')) {
                        include_once( MAILERS_DIR_PATH . 'pardot/pardot-api-class.php');
                    }
                    $pardot_api_data = array('email' => $username, 'password' => $password, 'user_key' => $api_key);
                    // Attempt to connect to the Pardot API to retrieve lists.
                    $pardot = new Pardot_OM_API( $pardot_api_data );
                    $all_pardot_lists = $pardot->get_campaigns();

                    // If there is an error, output and return early.
                    if ($pardot->error) {
                        echo "<div class='error'><p>". __('Unable to connect to Pardot. Please enter valid Username, Password and User Key.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                        break;
                    }

                    foreach ($all_pardot_lists as $list_id => $list){
                        $pardot_lists[$id] = $list->name;
                    }
                    
                    $pardot_api_data_serialized = serialize($pardot_api_data);
                    $pardot_lists_serialized = serialize($pardot_lists);
                    update_option('wpob_pardot_api_key',$pardot_api_data_serialized);
                    update_option('wpob_pardot_lists',$pardot_lists_serialized);
                    echo "<div class='updated'><p>". __('Connected to Pardot successfully.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                    
                }
                break;
                
        // Feedburner
        case 11:if($api_key == ''){
                    echo "<div class='error'><p>". __('Please enter your Feedburner URI.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                    break;
                }
                $feedburner_uri = $api_key;
                update_option('wpob_feedburner_uri',$feedburner_uri);
                echo "<div class='updated'><p>". __('Connected to Feedburner successfully.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                break;
                
        // ActiveCampaign
        case 12: if($_POST['api_url'] == ''){
                    echo "<div class='error'><p>". __('Please enter ActiveCampaign API URL.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                else if($api_key == ''){
                    echo "<div class='error'><p>". __('Please enter ActiveCampaign API Key.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                else{
                    $api_url = $_POST['api_url'];
                    if (!class_exists('ActiveCampaign')) {
                        include_once( MAILERS_DIR_PATH . 'active-campaign/ActiveCampaign.class.php');
                    }
                    $active_campaign_api_data = array('api_url' => $api_url, 'api_key' => $api_key);
                    
                    $active_campaign = new ActiveCampaign( $api_url, $api_key);
                    
                    if (!(int)$active_campaign->credentials_test()) {
                        echo "<div class='error'><p>". __('Please enter ActiveCampaign API URL.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                        break;
                    }
                    else{
                        
                        $all_active_campaign_lists = $active_campaign->api("list/list", array('ids' => 'all'));
                        
                        // If there is an error, output and return early.
                        if ($all_active_campaign_lists->success != 1) {
                            echo "<div class='error'><p>". __('Unable to connect to Active Campaign. Please enter valid API URL and API Key.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                            break;
                        }

                        foreach ($all_active_campaign_lists as $list_id => $list){
                            if(isset($list->id)){
                                $active_campaign_lists[$list->id] = $list->name;
                            }
                        }
                        
                        $active_campaign_api_data_serialized = serialize($active_campaign_api_data);
                        $active_campaign_lists_serialized = serialize($active_campaign_lists);
                        update_option('wpob_active_campaign_api_key',$active_campaign_api_data_serialized);
                        update_option('wpob_active_campaign_lists',$active_campaign_lists_serialized);
                        echo "<div class='updated'><p>". __('Connected to Active Campaign successfully.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                    }
                }
                
        // GotoWebinar
        case 13: if($_POST['access_token'] == ''){
                    echo "<div class='error'><p>". __('Please enter GotoWebinar Access Token.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                else if($api_key == ''){
                    echo "<div class='error'><p>". __('Please enter GotoWebinar Organizer Key.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                }
                else{
                    
                    $access_token = trim($_POST['access_token']);
                    
                    if (!class_exists('Citrix')) {
                        include_once( MAILERS_DIR_PATH . 'gotowebinar-api.php');
                    }
                    
                    $gotowebinar_api_data = array('api_key' => $api_key , 'access_token' => $access_token);
                    
                    $gotowebinar = new Citrix('1WFXRh5bNVTl4IfASVdg5HVzwTJnck0m');
                    
                    $webinars = $gotowebinar->citrixonline_get_list_of_webinars($api_key,$access_token);
                    
                    if(!empty($webinars['upcoming']['webinars'])){
                        foreach($webinars['upcoming']['webinars'] as $webinar){
                            $gotowebinar_lists[$webinar['webinarKey']] = $webinar['subject'];
                        }
                    }

                    $gotowebinar_api_data_serialized = serialize($gotowebinar_api_data);
                    $gotowebinar_lists_serialized = serialize($gotowebinar_lists);
                    update_option('wpob_gotowebinar_api_key',$gotowebinar_api_data_serialized);
                    update_option('wpob_gotowebinar_webinars',$gotowebinar_lists_serialized);
                    echo "<div class='updated'><p>". __('Connected to GotoWebinar successfully.', 'wp-optin-boxes') ."<a href='' style='float:right;' onclick='jQuery(this).parent().parent().fadeOut(300).hide();'>Close</a></p></div>";
                    
                }
        
    }
}
else if(isset($_POST['mailer']) and isset($_POST['disconnect'])){
    $mailer_id = $_POST['mailer'];
    switch($mailer_id){
        //GetResponse
        case 1: delete_option('wpob_getresponse_api_key');
                delete_option('wpob_getresponse_campaigns');
                echo "<div class='updated'><p>". __('GetResponse disconnected successfully.', 'wp-optin-boxes') ."</p></div>";
                break;
        //MailChimp    
        case 2: delete_option('wpob_mailchimp_api_key');
                delete_option('wpob_mailchimp_lists');
                echo "<div class='updated'><p>". __('MailChimp disconnected successfully.', 'wp-optin-boxes') ."</p></div>";
                break;    
        //Aweber
        case 3: delete_option('wpob_aweber_api_key');
                delete_option('wpob_aweber_lists');
                echo "<div class='updated'><p>". __('Aweber disconnected successfully.', 'wp-optin-boxes') ."</p></div>";
                break;
        //Mad Mimi
        case 4: delete_option('wpob_madmimi_api_key');
                delete_option('wpob_madmimi_lists');
                echo "<div class='updated'><p>". __('Mad Mimi disconnected successfully.', 'wp-optin-boxes') ."</p></div>";
                break;                    
        //Constant Contact
        case 5: delete_option('wpob_constant_contact_api_key');
                delete_option('wpob_constant_contact_lists');
                echo "<div class='updated'><p>". __('Constant Contact disconnected successfully.', 'wp-optin-boxes') ."</p></div>";
                break;                    
        //Campaign Monitor
        case 6: delete_option('wpob_campaign_monitor_api_key');
                delete_option('wpob_campaign_monitor_lists');
                echo "<div class='updated'><p>". __('Campaign Monitor disconnected successfully.', 'wp-optin-boxes') ."</p></div>";
                break;                    
        //Infusionsoft
        case 7: delete_option('wpob_infusionsoft_api_key');
                delete_option('wpob_infusionsoft_lists');
                echo "<div class='updated'><p>". __('Infusionsoft disconnected successfully.', 'wp-optin-boxes') ."</p></div>";
                break;                    
        //iContact
        case 8: delete_option('wpob_icontact_api_key');
                delete_option('wpob_icontact_lists');
                echo "<div class='updated'><p>". __('iContact disconnected successfully.', 'wp-optin-boxes') ."</p></div>";
                break;                             
        //Pardot
        case 10:delete_option('wpob_pardot_api_key');
                delete_option('wpob_pardot_lists');
                echo "<div class='updated'><p>". __('Pardot disconnected successfully.', 'wp-optin-boxes') ."</p></div>";
                break;
        //Feedburner
        case 11: delete_option('wpob_feedburner_uri');
                echo "<div class='updated'><p>". __('Feedburner disconnected successfully.', 'wp-optin-boxes') ."</p></div>";
                break;
        //Active Camapign
        case 12:delete_option('wpob_active_campaign_api_key');
                delete_option('wpob_active_campaign_lists');
                echo "<div class='updated'><p>". __('Active Campaign disconnected successfully.', 'wp-optin-boxes') ."</p></div>";
                break;
        // GotoWebinar
        case 13:delete_option('wpob_gotowebinar_api_key');
                delete_option('wpob_gotowebinar_webinars');
                echo "<div class='updated'><p>". __('GotoWebinar disconnected successfully.', 'wp-optin-boxes') ."</p></div>";
                break;
    }
}
                
?>

<div class="wrap wpob_main">
    
    <h2><?php echo esc_html( get_admin_page_title() ); ?></h2>
    
    <h2 class="nav-tab-wrapper">
        <a href="<?php echo admin_url( 'admin.php?page=' . $wpob->wpob_settings_slug )."&step=1"; ?>" class="nav-tab <?php if($step == 1 || !isset($step)) echo "nav-tab-active"; ?>"><?php _e('General Settings', 'wp-optin-boxes'); ?></a>
        <a href="<?php echo admin_url( 'admin.php?page=' . $wpob->wpob_settings_slug )."&step=2"; ?>" class="nav-tab <?php if($step == 2) echo "nav-tab-active"; ?>"><?php _e('Email Service Integration', 'wp-optin-boxes'); ?></a>
        <a href="<?php echo admin_url( 'admin.php?page=' . $wpob->wpob_settings_slug )."&step=3"; ?>" class="nav-tab <?php if($step == 3) echo "nav-tab-active"; ?>"><?php _e('Export/Import Boxes', 'wp-optin-boxes'); ?></a>
    </h2>
    
    <div id="poststuff" class="metabox-holder has-right-sidebar">    

        <div class="inner-sidebar" id="side-info-column">
            <?php $wpob->wpob_sidebar(); ?>
        </div>
        
        <?php if(!isset($step) || $step == 1) : ?>

        <div id="post-body-content">
            
            <div class='postbox'>
                <h3><?php _e("Conversion Tracking Settings", 'wp-optin-boxes'); ?></h3>
                <div class='inside'>
                    <table class="form-table">
                        <tbody>
                            <tr>
                                <th scope="row"><label for=""><?php _e('Conversion Tracking', 'wp-optin-boxes');; ?></label></th>
                                <td>
                                    <p><label><input type="checkbox" name="wpob_conversion_tracking" id="wpob_conversion_tracking" <?php echo (get_option('wpob_conversion_tracking') == 0) ? "checked" : "" ?> /> <?php _e('Turn Off', 'wp-optin-boxes'); ?></label></p>
                                    <p class="wpob_help_block"><?php _e("Disable the conversion tracking in the plugin. Disabling conversion tracking reduces load on your server and keeps your database size small. <em>It's recommended for sites with large amount of traffic to keep conversion tracking turned off</em>.", 'wp-optin-boxes'); ?></p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            
            <div class='postbox'>
                <h3><?php _e('Sitewide Settings', 'wp-optin-boxes'); ?></h3>
                <div class='inside'>
                    <table class="form-table">
                        <tbody>
                            <tr>
                                <th scope="row"><label for=""><?php _e('Default Optin/Call-to-Action Box', 'wp-optin-boxes'); ?></label></th>
                                <td>
                                    <?php $wpob->wpob_box_list(get_option('wpob_default_box'),'default','wpob_boxes_list_default'); ?>
                                    <p class="wpob_help_block"><?php _e("Assign a default conversion box to all pages and posts. This box will be used when no other box has been set for any post/page.", 'wp-optin-boxes'); ?></p>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for=""><?php _e('Optin/Call-to-Action Box for All Posts', 'wp-optin-boxes'); ?></label></th>
                                <td>
                                    <?php $wpob->wpob_box_list(get_option('wpob_all_posts'),'','wpob_boxes_list_posts'); ?>
                                    <p class="wpob_help_block"><?php _e("Select a conversion box that'll be shown under all Blog Posts. This will override the default conversion box.", 'wp-optin-boxes'); ?></p>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for=""><?php _e('Optin/Call-to-Action Box for All Pages', 'wp-optin-boxes'); ?></label></th>
                                <td>
                                    <?php $wpob->wpob_box_list(get_option('wpob_all_pages'),'','wpob_boxes_list_pages'); ?>
                                    <p class="wpob_help_block"><?php _e("Select a conversion box that'll be shown under all Pages of your site. This will override the default conversion box.", 'wp-optin-boxes'); ?></p>
                                </td>
                            </tr>
                            </tbody>
			</table>

                </div>
            </div>
            
            <input type="submit" value="<?php _e('Update', 'wp-optin-boxes'); ?>" class="button button-primary" name="update-global-settings" id="update-global-settings"/>
            
        </div>
        
        <?php elseif($step == 2 || !isset($step)) : ?>
        
        <div id="post-body-content">
            <div class='postbox'>
                <h3><?php _e('Integrate Your Email Service', 'wp-optin-boxes'); ?></h3>
                <div class='inside'>
                    <table class="form-table">
                        <tbody>
                            <tr>
                                <th scope="row" style="max-width: 200px;"><label for=""><?php _e('Select Your Email Service Provider', 'wp-optin-boxes'); ?></label></th>
                                <td class="wpob_mailers_td">
                                    <ul class="wpob_mailers_list">
                                        
                                        <!-- Feedburner = 11 -->
                                        
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td><img style="width: 200px;" src="<?php echo ADMIN_ASSETS_URL.'imgs/feedburner-logo.png'; ?>" /></td>
                                                    <?php if(get_option('wpob_feedburner_uri') == '') : ?>
                                                        <td><button class="button-primary wpob_mailer" data-mailer-id="11"><?php _e('Integrate','wp-optin-boxes'); ?></button></td>
                                                        <td><a class="button-primary" target="_blank" href="http://tinyurl.com/3ogsea"><?php _e('Create Account For Free','wp-optin-boxes'); ?></a></td>
                                                    <?php else : ?>
                                                        <td>
                                                            <form action="" method="post">
                                                                <input type="submit" class="button-primary" name="disconnect" value="<?php _e('Disconnect','wp-optin-boxes'); ?>">
                                                                <input type="hidden" name="mailer" value="11">
                                                            </form>
                                                        </td>
                                                    <?php endif; ?>
                                                </tr>
                                            </table>
                                            <div id="wpob_mailer_11" class="wpob_mailers_option">
                                                <form method="post" action="">
                                                    <p><?php _e("Feedburner URI:", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" name="apikey" value="" class="wpob_fullwidth"/><br /></p>
                                                    <div style="margin: 10px 0px 10px 0px;">
                                                        <input type="submit" class="button-primary" name="connect" value="<?php _e('Connect to Feedburner','wp-optin-boxes'); ?>">
                                                        <button class="button-primary wpob_mailer_cancel"><?php _e('Cancel','wp-optin-boxes'); ?></button>
                                                        <input type="hidden" name="mailer" value="11">
                                                    </div>
                                                </form>
                                                <p class="wpob_help_block"><?php _e("Enter your Feedburner URI here (http://feeds.feedburner.com/THIS-PART-IS-URI) and click on Connect to Feedburner. After you integrate here, you can then select it as a List/Campaign on the Step 2: Customize Box page for your conversion boxes for adding leads to this Feedburner account.", 'wp-optin-boxes'); ?></p>
                                            </div>
                                        </li>
                                        
                                        
                                        <!-- GetResponse -->
                                        
                                        
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td width="200"><img src="<?php echo ADMIN_ASSETS_URL.'/imgs/getresponse-logo.png'; ?>" /></td>
                                                    <?php if(get_option('wpob_getresponse_api_key') == '') : ?>
                                                        <td><button class="button-primary wpob_mailer" data-mailer-id="1"><?php _e('Integrate', 'wp-optin-boxes'); ?></button></td>
                                                        <td><a class="button-primary" target="_blank" href="http://tinyurl.com/nnepcau"><?php _e('Create Account For Free', 'wp-optin-boxes'); ?></a></td>
                                                    <?php else : ?>
                                                        <td>
                                                            <form action="" method="post">
                                                                <input type="submit" class="button-primary" name="disconnect" value="<?php _e('Disconnect', 'wp-optin-boxes'); ?>">
                                                                <input type="hidden" name="mailer" value="1">
                                                            </form>
                                                        </td>
                                                    <?php endif; ?>
                                                </tr>
                                            </table>
                                            <?php echo (isset($showresponse_1)) ? $showresponse_1 : ''; ?>

                                                <div id="wpob_mailer_1" class="wpob_mailers_option">
                                                    <p><?php _e('GetResponse API Key:', 'wp-optin-boxes'); ?></p>
                                                    <form method="post" action="">
                                                        <input type="text" name="apikey" value="" class="wpob_fullwidth"/><br />
                                                        <div style="margin: 10px 0px 10px 0px;">
                                                            <input type="submit" class="button-primary" name="connect" value="<?php _e('Connect to GetResponse', 'wp-optin-boxes'); ?>">
                                                            <button class="button-primary wpob_mailer_cancel"><?php _e('Cancel', 'wp-optin-boxes'); ?></button>
                                                            <input type="hidden" name="mailer" value="1">
                                                        </div>
                                                    </form>
                                                    <p class="wpob_help_block"><?php _e("This API key is used to add email leads to your GetResponse campaigns. You can find your API key from <a target='_blank' href='https://app.getresponse.com/account.html#api'>this page</a>.", 'wp-optin-boxes'); ?></p>
                                                </div>

                                        </li>
                                        
                                        
                                        <!-- MailChimp -->
                                        
                                        
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td  style="width: 200px;"><img src="<?php echo ADMIN_ASSETS_URL.'/imgs/mailchimp-logo.png'; ?>" /></td>
                                                    <?php if(get_option('wpob_mailchimp_api_key') == '') : ?>
                                                        <td><button class="button-primary wpob_mailer" data-mailer-id="2"><?php _e('Integrate', 'wp-optin-boxes'); ?></button></td>
                                                        <td><a class="button-primary" target="_blank" href="http://tinyurl.com/ycegwda"><?php _e('Create Account For Free', 'wp-optin-boxes'); ?></a></td>
                                                    <?php else : ?>
                                                        <td>
                                                            <form action="" method="post">
                                                                <input type="submit" class="button-primary" name="disconnect" value="<?php _e('Disconnect', 'wp-optin-boxes'); ?>">
                                                                <input type="hidden" name="mailer" value="2">
                                                            </form>
                                                        </td>
                                                    <?php endif; ?>
                                                </tr>
                                            </table>
                                            <?php echo (isset($showresponse_2)) ? $showresponse_2 : ''; ?>
                                            <div id="wpob_mailer_2" class="wpob_mailers_option">
                                                <p><?php _e('MailChimp API Key:', 'wp-optin-boxes'); ?></p>
                                                <form method="post" action="">
                                                    <input type="text" name="apikey" value="" class="wpob_fullwidth"/><br />
                                                    <div style="margin: 10px 0px 10px 0px;">
                                                        <input type="submit" class="button-primary" name="connect" value="<?php _e('Connect to MailChimp', 'wp-optin-boxes'); ?>">
                                                        <button class="button-primary wpob_mailer_cancel"><?php _e('Cancel', 'wp-optin-boxes'); ?></button>
                                                        <input type="hidden" name="mailer" value="2">
                                                    </div>
                                                </form>
                                                <p class="wpob_help_block"><?php _e("This API key is used to add email leads to your MailChimp lists. You can find your API key from <a target='_blank' href='https://admin.mailchimp.com/account/api/'>this page</a>. Go to the given link and just click on Create a Key to generate new API key.", 'wp-optin-boxes'); ?></p>
                                            </div>
                                        </li>
                                        
                                        <!-- Aweber -->
                                        
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td><img style="width: 200px;" src="<?php echo ADMIN_ASSETS_URL.'/imgs/aweber-logo.gif'; ?>" /></td>
                                                    <?php if(get_option('wpob_aweber_api_key') == '') : ?>
                                                        <td><button class="button-primary wpob_mailer" data-mailer-id="3"><?php _e('Integrate', 'wp-optin-boxes'); ?></button></td>
                                                        <td><a class="button-primary" target="_blank" href="http://tinyurl.com/pgz5pjt"><?php _e('Create Account For $1', 'wp-optin-boxes'); ?></a></td>
                                                    <?php else : ?>
                                                        <td>
                                                            <form action="" method="post">
                                                                <input type="submit" class="button-primary" name="disconnect" value="<?php _e('Disconnect', 'wp-optin-boxes'); ?>">
                                                                <input type="hidden" name="mailer" value="3">
                                                            </form>
                                                        </td>
                                                    <?php endif; ?>
                                                </tr>
                                            </table>
                                            <?php echo (isset($showresponse_3)) ? $showresponse_3 : ''; ?>
                                                <div id="wpob_mailer_3" class="wpob_mailers_option">
                                                    <p><?php _e('Aweber Authorization Code:', 'wp-optin-boxes'); ?></p>
                                                    <form method="post" action="">
                                                        <input type="text" name="apikey" value="" class="wpob_fullwidth"/><br />
                                                        <div style="margin: 10px 0px 10px 0px;">
                                                            <input type="submit" class="button-primary" name="connect" value="<?php _e('Connect to Aweber', 'wp-optin-boxes'); ?>">
                                                            <button class="button-primary wpob_mailer_cancel"><?php _e('Cancel', 'wp-optin-boxes'); ?></button>
                                                            <input type="hidden" name="mailer" value="3">
                                                        </div>
                                                    </form>
                                                    <p class="wpob_help_block"><?php _e("You need to authorize this plugin to be able to add leads to your Aweber lists. To get the authorization code, log into <a target='_blank' href='https://auth.aweber.com/1.0/oauth/authorize_app/e9625404'>this page</a> with your Aweber acoount.", 'wp-optin-boxes'); ?></p>
                                                </div>
                                        </li>
                                        
                                        <!-- MadMimi -->
                                        
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td><img style="width: 200px;" src="<?php echo ADMIN_ASSETS_URL.'imgs/madmimi-logo.png'; ?>" /></td>
                                                    <?php if(get_option('wpob_madmimi_api_key') == '') : ?>
                                                        <td><button class="button-primary wpob_mailer" data-mailer-id="4"><?php _e('Integrate','wp-optin-boxes'); ?></button></td>
                                                        <td><a class="button-primary" target="_blank" href="http://tinyurl.com/p4yb2hd"><?php _e('Create Account For Free','wp-optin-boxes'); ?></a></td>
                                                    <?php else : ?>
                                                        <td>
                                                            <form action="" method="post">
                                                                <input type="submit" class="button-primary" name="disconnect" value="<?php _e('Disconnect','wp-optin-boxes'); ?>">
                                                                <input type="hidden" name="mailer" value="4">
                                                            </form>
                                                        </td>
                                                    <?php endif; ?>
                                                </tr>
                                            </table>
                                            <div id="wpob_mailer_4" class="wpob_mailers_option">
                                                <form method="post" action="">
                                                    <p><?php _e("MadMimi API Key:", 'wp-optin-boxes'); ?></p>
                                                    <input type="text" name="apikey" value="" class="wpob_fullwidth"/><br />
                                                    <p><?php _e("MadMimi username or email", 'wp-optin-boxes'); ?></p>
                                                    <input type="text" name="madmimi_login" value="" class="wpob_fullwidth"/>
                                                    <div style="margin: 10px 0px 10px 0px;">
                                                        <input type="submit" class="button-primary" name="connect" value="<?php _e('Connect to MadMimi','wp-optin-boxes'); ?>">
                                                        <button class="button-primary wpob_mailer_cancel"><?php _e('Cancel','wp-optin-boxes'); ?></button>
                                                        <input type="hidden" name="mailer" value="4">
                                                    </div>
                                                </form>
                                                <p class="wpob_help_block"><?php _e("You need to authorize this plugin to be able to add leads to your Mad Mimi lists. Please enter your MadMimi API key (<a href='http://help.madmimi.com/where-can-i-find-my-api-key/' target='_blank'>get it here</a>) and MadMimi account username and click on Connect to MadMimi", 'wp-optin-boxes'); ?></p>
                                            </div>
                                        </li>
                                        
                                        <!-- Constant Contact = 5 -->
                                        
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td><img style="width: 200px;" src="<?php echo ADMIN_ASSETS_URL.'imgs/constant-contact-logo.png'; ?>" /></td>
                                                    <?php if(get_option('wpob_constant_contact_api_key') == '') : ?>
                                                        <td><button class="button-primary wpob_mailer" data-mailer-id="5"><?php _e('Integrate','wp-optin-boxes'); ?></button></td>
                                                        <td><a class="button-primary" target="_blank" href="http://tinyurl.com/294d8x"><?php _e('Create Account For Free','wp-optin-boxes'); ?></a></td>
                                                    <?php else : ?>
                                                        <td>
                                                            <form action="" method="post">
                                                                <input type="submit" class="button-primary" name="disconnect" value="<?php _e('Disconnect','wp-optin-boxes'); ?>">
                                                                <input type="hidden" name="mailer" value="5">
                                                            </form>
                                                        </td>
                                                    <?php endif; ?>
                                                </tr>
                                            </table>
                                            <div id="wpob_mailer_5" class="wpob_mailers_option">
                                                <p><?php _e("Constant Contact Access Token:", 'wp-optin-boxes'); ?></p>
                                                <form method="post" action="">
                                                    <input type="text" name="apikey" value="" class="wpob_fullwidth"/><br />
                                                    <div style="margin: 10px 0px 10px 0px;">
                                                        <input type="submit" class="button-primary" name="connect" value="<?php _e('Connect to Constant Contact','wp-optin-boxes'); ?>">
                                                        <button class="button-primary wpob_mailer_cancel"><?php _e('Cancel','wp-optin-boxes'); ?></button>
                                                        <input type="hidden" name="mailer" value="5">
                                                    </div>
                                                </form>
                                                <p class="wpob_help_block"><?php _e("You need to authorize this plugin to be able to add leads to your Constant Contact lists. To get the access token go to <a href='https://oauth2.constantcontact.com/oauth2/oauth/callback.htm?client_id=gegymrphd4j24929qbtjgz9m' target='_blank'>this page</a> and Allow Access to WP Optin Boxes Pro.", 'wp-optin-boxes'); ?></p>
                                            </div>
                                        </li>
                                        
                                        <!-- Campaign Monitor = 6 -->
                                        
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td><img style="width: 200px;" src="<?php echo ADMIN_ASSETS_URL.'imgs/campaign-monitor-logo.png'; ?>" /></td>
                                                    <?php if(get_option('wpob_campaign_monitor_api_key') == '') : ?>
                                                        <td><button class="button-primary wpob_mailer" data-mailer-id="6"><?php _e('Integrate','wp-optin-boxes'); ?></button></td>
                                                        <td><a class="button-primary" target="_blank" href="http://tinyurl.com/yaftow2"><?php _e('Create Account For Free','wp-optin-boxes'); ?></a></td>
                                                    <?php else : ?>
                                                        <td>
                                                            <form action="" method="post">
                                                                <input type="submit" class="button-primary" name="disconnect" value="<?php _e('Disconnect','wp-optin-boxes'); ?>">
                                                                <input type="hidden" name="mailer" value="6">
                                                            </form>
                                                        </td>
                                                    <?php endif; ?>
                                                </tr>
                                            </table>
                                            <div id="wpob_mailer_6" class="wpob_mailers_option">
                                                <form method="post" action="">
                                                    <p><?php _e("Client Name:", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" name="cm_client_name" value="" class="wpob_fullwidth"/><br /></p>
                                                    <p><?php _e("Campaign Monitor API Key:", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" name="apikey" value="" class="wpob_fullwidth"/><br /></p>
                                                    <div style="margin: 10px 0px 10px 0px;">
                                                        <input type="submit" class="button-primary" name="connect" value="<?php _e('Connect to Campaign Monitor','wp-optin-boxes'); ?>">
                                                        <button class="button-primary wpob_mailer_cancel"><?php _e('Cancel','wp-optin-boxes'); ?></button>
                                                        <input type="hidden" name="mailer" value="6">
                                                    </div>
                                                </form>
                                                <p class="wpob_help_block"><?php _e("You need to authorize this plugin to be able to add leads to your Campaign Monitor lists. Enter the Client Name above along with API Key (You can get the Client Name from Clients tab and the API key is present in Account Settings tab.)", 'wp-optin-boxes'); ?></p>
                                            </div>
                                        </li>
                                        
                                        <!-- InfusionSoft = 7 -->
                                        
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td><img style="width: 200px;" src="<?php echo ADMIN_ASSETS_URL.'imgs/infusionsoft-logo.png'; ?>" /></td>
                                                    <?php if(get_option('wpob_infusionsoft_api_key') == '') : ?>
                                                        <td><button class="button-primary wpob_mailer" data-mailer-id="7"><?php _e('Integrate','wp-optin-boxes'); ?></button></td>
                                                        <td><a class="button-primary" target="_blank" href="http://tinyurl.com/p4szywt"><?php _e('Create a New Account','wp-optin-boxes'); ?></a></td>
                                                    <?php else : ?>
                                                        <td>
                                                            <form action="" method="post">
                                                                <input type="submit" class="button-primary" name="disconnect" value="<?php _e('Disconnect','wp-optin-boxes'); ?>">
                                                                <input type="hidden" name="mailer" value="7">
                                                            </form>
                                                        </td>
                                                    <?php endif; ?>
                                                </tr>
                                            </table>
                                            <div id="wpob_mailer_7" class="wpob_mailers_option">
                                                <form method="post" action="">
                                                    <p><?php _e("Infusionsoft Sub-domain Name:", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" name="subdomain_name" value="" class="wpob_fullwidth"/><br /></p>
                                                    <p><?php _e("Infusionsoft API Key:", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" name="apikey" value="" class="wpob_fullwidth"/><br /></p>
                                                    <div style="margin: 10px 0px 10px 0px;">
                                                        <input type="submit" class="button-primary" name="connect" value="<?php _e('Connect to Infusionsoft','wp-optin-boxes'); ?>">
                                                        <button class="button-primary wpob_mailer_cancel"><?php _e('Cancel','wp-optin-boxes'); ?></button>
                                                        <input type="hidden" name="mailer" value="7">
                                                    </div>
                                                </form>
                                                <p class="wpob_help_block"><?php _e("You need to authorize this plugin to be able to add leads to your Infusion Soft lists. Enter your Infusionsoft subdomain and API key above (know how to get it <a href='http://ug.infusionsoft.com/article/AA-00442/0/Infusionsoft-API-Key.html' target='_blank'>here</a>) and click on Connect to Infusionsoft", 'wp-optin-boxes'); ?></p>
                                            </div>
                                        </li>
                                        
                                        <!-- iContact = 8 -->
                                        
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td><img style="width: 200px;" src="<?php echo ADMIN_ASSETS_URL.'imgs/icontact-logo.png'; ?>" /></td>
                                                    <?php if(get_option('wpob_icontact_api_key') == '') : ?>
                                                        <td><button class="button-primary wpob_mailer" data-mailer-id="8"><?php _e('Integrate','wp-optin-boxes'); ?></button></td>
                                                        <td><a class="button-primary" target="_blank" href="http://tinyurl.com/pxv2thy"><?php _e('Create Account For Free','wp-optin-boxes'); ?></a></td>
                                                    <?php else : ?>
                                                        <td>
                                                            <form action="" method="post">
                                                                <input type="submit" class="button-primary" name="disconnect" value="<?php _e('Disconnect','wp-optin-boxes'); ?>">
                                                                <input type="hidden" name="mailer" value="8">
                                                            </form>
                                                        </td>
                                                    <?php endif; ?>
                                                </tr>
                                            </table>
                                            <div id="wpob_mailer_8" class="wpob_mailers_option">
                                                <form method="post" action="">
                                                    <p><?php _e("iContact Username:", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" name="icontact_username" value="" class="wpob_fullwidth"/><br /></p>
                                                    <p><?php _e("iContact Application ID:", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" name="apikey" value="" class="wpob_fullwidth"/><br /></p>
                                                    <p><?php _e("iContact Application Password (This is not your account password.):", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="password" name="app_password" value="" class="wpob_fullwidth"/><br /></p>
                                                    <div style="margin: 10px 0px 10px 0px;">
                                                        <input type="submit" class="button-primary" name="connect" value="<?php _e('Connect to iContact','wp-optin-boxes'); ?>">
                                                        <button class="button-primary wpob_mailer_cancel"><?php _e('Cancel','wp-optin-boxes'); ?></button>
                                                        <input type="hidden" name="mailer" value="8">
                                                    </div>
                                                </form>
                                                <p class="wpob_help_block"><?php _e("You need to create a new iContact App to be able to add leads to your iContact lists. First go to <a href='https://app.icontact.com/icp/core/registerapp/' target='_blank'>this link</a> to create an app by entering a name and description. On the next page select Show Information for <b>API 2.0</b> and click <b>enable this AppId for your account.</b> On next page create a password, copy Application ID and hit save.", 'wp-optin-boxes'); ?></p>
                                            </div>
                                        </li>
                                        
                                        <!-- Pardot = 10 -->
                                        
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td><img style="width: 200px;" src="<?php echo ADMIN_ASSETS_URL.'imgs/pardot-logo.png'; ?>" /></td>
                                                    <?php if(get_option('wpob_pardot_api_key') == '') : ?>
                                                        <td><button class="button-primary wpob_mailer" data-mailer-id="10"><?php _e('Integrate','wp-optin-boxes'); ?></button></td>
                                                        <td><a class="button-primary" target="_blank" href="http://tinyurl.com/ojhrkm8"><?php _e('Create a New Account','wp-optin-boxes'); ?></a></td>
                                                    <?php else : ?>
                                                        <td>
                                                            <form action="" method="post">
                                                                <input type="submit" class="button-primary" name="disconnect" value="<?php _e('Disconnect','wp-optin-boxes'); ?>">
                                                                <input type="hidden" name="mailer" value="10">
                                                            </form>
                                                        </td>
                                                    <?php endif; ?>
                                                </tr>
                                            </table>
                                            <div id="wpob_mailer_10" class="wpob_mailers_option">
                                                <form method="post" action="">
                                                    <p><?php _e("Pardot Username:", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" name="username" value="" class="wpob_fullwidth"/><br /></p>
                                                    <p><?php _e("Pardot Password:", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="password" name="password" value="" class="wpob_fullwidth"/><br /></p>
                                                    <p><?php _e("Pardot User Key", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" name="apikey" value="" class="wpob_fullwidth"/><br /></p>
                                                    <div style="margin: 10px 0px 10px 0px;">
                                                        <input type="submit" class="button-primary" name="connect" value="<?php _e('Connect to Pardot','wp-optin-boxes'); ?>">
                                                        <button class="button-primary wpob_mailer_cancel"><?php _e('Cancel','wp-optin-boxes'); ?></button>
                                                        <input type="hidden" name="mailer" value="10">
                                                    </div>
                                                </form>
                                                <p class="wpob_help_block"><?php _e("You need to authorize this plugin to be able to add leads to your Pardot lists. Enter your account username, password and user key above and click on Connect to Pardot", 'wp-optin-boxes'); ?></p>
                                            </div>
                                        </li>
                                        
                                        <!-- ActiveCampaign = 12 -->
                                        
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td><img style="width: 200px;" src="<?php echo ADMIN_ASSETS_URL.'imgs/active-campaign-logo.jpg'; ?>" /></td>
                                                    <?php if(get_option('wpob_active_campaign_api_key') == '') : ?>
                                                        <td><button class="button-primary wpob_mailer" data-mailer-id="12"><?php _e('Integrate','wp-optin-boxes'); ?></button></td>
                                                        <td><a class="button-primary" target="_blank" href="http://tinyurl.com/ojsmyvc"><?php _e('Create a New Account','wp-optin-boxes'); ?></a></td>
                                                    <?php else : ?>
                                                        <td>
                                                            <form action="" method="post">
                                                                <input type="submit" class="button-primary" name="disconnect" value="<?php _e('Disconnect','wp-optin-boxes'); ?>">
                                                                <input type="hidden" name="mailer" value="12">
                                                            </form>
                                                        </td>
                                                    <?php endif; ?>
                                                </tr>
                                            </table>
                                            <div id="wpob_mailer_12" class="wpob_mailers_option">
                                                <form method="post" action="">
                                                    <p><?php _e("Active Campaign API URL:", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" name="api_url" value="" class="wpob_fullwidth"/><br /></p>
                                                    <p><?php _e("Active Campaign API Key", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" name="apikey" value="" class="wpob_fullwidth"/><br /></p>
                                                    <div style="margin: 10px 0px 10px 0px;">
                                                        <input type="submit" class="button-primary" name="connect" value="<?php _e('Connect to Active Campaign','wp-optin-boxes'); ?>">
                                                        <button class="button-primary wpob_mailer_cancel"><?php _e('Cancel','wp-optin-boxes'); ?></button>
                                                        <input type="hidden" name="mailer" value="12">
                                                    </div>
                                                </form>
                                                <p class="wpob_help_block"><?php _e("You need API URL and API Key to be able to intergrate and add leads to your Active Campaign lists. You can find these details by going to your account's Settings > Developer page.", 'wp-optin-boxes'); ?></p>
                                            </div>
                                        </li>
                                        
                                        <!-- GotoWebinar = 13 -->
                                        
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td><img style="width: 200px;" src="<?php echo ADMIN_ASSETS_URL.'imgs/gotowebinar-logo.jpg'; ?>" /></td>
                                                    <?php if(get_option('wpob_gotowebinar_api_key') == '') : ?>
                                                        <td><button class="button-primary wpob_mailer" data-mailer-id="13"><?php _e('Integrate','wp-optin-boxes'); ?></button></td>
                                                        <td><a class="button-primary" target="_blank" href="http://tinyurl.com/p6mdwx7"><?php _e('Create a New Account','wp-optin-boxes'); ?></a></td>
                                                    <?php else : ?>
                                                        <td>
                                                            <form action="" method="post">
                                                                <input type="submit" class="button-primary" name="disconnect" value="<?php _e('Disconnect','wp-optin-boxes'); ?>">
                                                                <input type="hidden" name="mailer" value="13">
                                                            </form>
                                                        </td>
                                                    <?php endif; ?>
                                                </tr>
                                            </table>
                                            <div id="wpob_mailer_13" class="wpob_mailers_option">
                                                <form method="post" action="">
                                                    <p><?php _e("Active Campaign Access Token:", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" name="access_token" value="" class="wpob_fullwidth"/><br /></p>
                                                    <p><?php _e("Active Campaign Organizer Key", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" name="apikey" value="" class="wpob_fullwidth"/><br /></p>
                                                    <div style="margin: 10px 0px 10px 0px;">
                                                        <input type="submit" class="button-primary" name="connect" value="<?php _e('Connect to GotoWebinar','wp-optin-boxes'); ?>">
                                                        <button class="button-primary wpob_mailer_cancel"><?php _e('Cancel','wp-optin-boxes'); ?></button>
                                                        <input type="hidden" name="mailer" value="13">
                                                    </div>
                                                </form>
                                                <?php
                                                    if (!class_exists('Citrix')) {
                                                        include_once( MAILERS_DIR_PATH . 'gotowebinar-api.php');
                                                    }
                                                    $citrix = new Citrix('1WFXRh5bNVTl4IfASVdg5HVzwTJnck0m');
                                                    $url = $citrix->auth_citrixonline();
                                                ?>
                                                <p class="wpob_help_block"><?php _e("<a href='$url' target='_blank'>Click here to Authorize</a> this plugin to fetch your upcomming webinars and allow it to add new registrants. After Authorization you'll get an Organizer Key and Access Token which you have to paste above and click on Connect to GotoWebinar button to integrate.", 'wp-optin-boxes'); ?></p>
                                            </div>
                                        </li>
                                        
                                    </ul>
                                    <p class="wpob_help_block"><?php _e("Click on <b>Integrate</b> button to integrate your email service provider. If you don't have an account, click on <b>Create Account</b> button to create a new account. If at any point you want to disconnect your email service provider click on <b>Disconnect</b> button to do so.", 'wp-optin-boxes'); ?></p>
                                </td>    
                            </tr>
                            <tr>
                                <th scope="row"><label for=""><?php _e('Integrate WordPress Plugin <em>(New)</em>', 'wp-optin-boxes'); ?></label><p class="wpob_help_block" style="font-weight: normal;"><?php _e("Integrate your email marketing WordPress plugin with WP Optin Boxes.", 'wp-optin-boxes'); ?></p></th>
                                <td class="wpob_mailers_td">
                                    <ul class="wpob_mailers_list">
                                    <!-- MailPoet -->
                                        
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td><img style="width: 200px;" src="<?php echo ADMIN_ASSETS_URL.'imgs/mailpoet-logo.png'; ?>" /></td>
                                                    <td><a class="button-primary" target="_blank" href="https://wordpress.org/plugins/wysija-newsletters/"><?php _e('Download WordPress Plugin','wp-optin-boxes'); ?></a></td>
                                                    <td>&nbsp;</td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2" style="padding-top: 0px;"><p class="wpob_help_block"><?php _e("When you install MailPoet (Wysija) plugin, WP Optin Boxes will automagically pull your mailing lists on <b>Customize Box</b> page. No setup required!", 'wp-optin-boxes'); ?></p></td>
                                                </tr>
                                            </table>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for=""><?php _e('Custom HTML Form For Lists', 'wp-optin-boxes'); ?></label><p class="wpob_help_block" style="font-weight: normal;"><?php _e("You can connect to any other email provider that offers an HTML form for subscribing to your list. Click on Add New Custom List and paste the contents of the HTML code given by your provider and click on Process Code button. We'll extract all the important details from the form and create a custom list for you. Make sure you don't have any <code>&lt;script&gt;</code> or <code>&lt;iframe&gt;</code> tags in the code as it'll not be processed.", 'wp-optin-boxes'); ?></p></th>
                                <td class="wpob_mailers_td" style="vertical-align: top;">
                                    <ul class="wpob_mailers_list">
                                        <li class="wpob_mailer_li">
                                            <table>
                                                <tr>
                                                    <td><img style="width: 200px;" src="<?php echo ADMIN_ASSETS_URL.'imgs/custom-logo.png'; ?>" /></td>
                                                    <td><button class="button-primary wpob_mailer" data-mailer-id="99"><?php _e('Add New Custom List','wp-optin-boxes'); ?></button></td>
                                                </tr>
                                            </table>
                                            <div id="wpob_mailer_99" class="wpob_mailers_option">
                                                    <p><?php _e("Custom List Name:", 'wp-optin-boxes'); ?></p>
                                                    <p><input type="text" id="custom_list_name" name="custom_list_name" value="" class="wpob_fullwidth"/></p>
                                                    <p class="wpob_help_block"><?php _e("This will show up in the list of Lists/Campaigns under Optin Form Settings on Customize Box page.", 'wp-optin-boxes'); ?></p><br />
                                                    <p><?php _e("Custom List Form HTML Code:", 'wp-optin-boxes'); ?></p>
                                                    <p><textarea id="custom_list_form_html" style="height: 100px;" name="custom_list_form_html" value="" class="wpob_fullwidth"/></textarea></p>
                                                    <p class="wpob_help_block"><?php _e("Enter your form HTML code here.", 'wp-optin-boxes'); ?></p><br />
                                                    <input type="submit" value="<?php _e('Process Code and Save','wp-optin-boxes'); ?>" id="wpob_save_custom_list" class="button button-primary" >
                                                    <button class="button-primary wpob_mailer_cancel"><?php _e('Cancel','wp-optin-boxes'); ?></button>
                                            </div>
                                            <table class="wp-list-table widefat fixed posts" style="clear: none;">
                                                <thead>
                                                    <tr>
                                                        <th style="padding: 10px 10px;"><?php _e('Custom HTML Form Lists','wp-optin-boxes'); ?></th>
                                                        <th style="text-align: center; padding: 10px 10px;"><?php _e('Delete List','wp-optin-boxes'); ?></th>
                                                    </tr>
                                                </thead>
                                                <tbody id="the-list">
                                                    <?php $wpob->get_all_custom_email_lists(); ?>
                                                </tbody>
                                            </table>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        
        <?php elseif($step == 3) : 
            $wpob->import_boxes_from_xml();    
        ?>
        
        <div id="post-body-content">
                <div class='postbox'>
                    <h3><?php _e('Export/Import Boxes', 'wp-optin-boxes'); ?></h3>
                    <div class='inside'>
                        <table class="form-table">
                            <tbody>
                                <tr>
                                    <th scope="row"><label for=""><?php _e('Export All Boxes', 'wp-optin-boxes'); ?></label></th>
                                    <td>
                                        <form action="" method="post" enctype="multipart/form-data">
                                            <p><input type="submit" name="export-boxes" value="Export Boxes" class="button button-primary" /></p>
                                        </form>
                                        <p class="wpob_help_block"><?php _e("Click on the <b>Export Boxes</b> button to export all your conversion boxes to an XML file. This XML file will contain all your boxes and their customizations. You can then import the boxes on other sites using FREE or Pro version of the plugin. Please note that only box customizations and settings get exported and not templates.", 'wp-optin-boxes'); ?></p><br />    
                                    </td>
                                </tr>
                                <tr>
                                    <th scope="row"><label for=""><?php _e('Import Boxes', 'wp-optin-boxes'); ?></label></th>
                                    <td>
                                        <form action="" method="post" enctype="multipart/form-data">
                                            <p><label><?php _e('Select XML file:', 'wp-optin-boxes'); ?> <input type="file" name="wpob_import_xml" id="wpob_import_xml"></label></p>
                                            <p class="wpob_help_block"><?php _e("Select your previously exported XML file and click on Import button to import your boxes and their customiztons.", 'wp-optin-boxes'); ?></p><br />
                                            <p><input type="submit" name="import-boxes" value="Import" class="button button-primary" /></p>
                                        </form>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
        </div>
        
        <?php endif; ?>
        
    </div>
    
</div>