<?php

static $wpob_template_type = 'call-to-action';

// Defaults

if($wpob_default_fields == '' or $wpob_default_fields['defaults'] == 'defaults'){
    $wpob_default_fields = array(
            'box_container_bg_color' => '#fff',
            'box_container_width' => '700px',
            'box_container_height' => '',
            'box_container_border_width' => '',
            'box_container_border_color' => '',
            'box_container_margin_top' => '',
            'box_container_margin_bottom' => '',
            'box_container_margin_left' => '',
            'box_container_margin_right' => '',


            'heading_text'  => 'Highly Effective Headline!',
            'heading_font_familiy'  => 'Shadows Into Light',
            'heading_font_size' => '24px',
            'heading_line_height'   => '40px',
            'heading_color' => '#fff',
            'heading_bg_color' => '#8f0a0b',
            'heading_align' => 'center',

            'content_text' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore.',
            'content_font_familiy'  => 'Georgia',
            'content_font_size' => '16px',
            'content_line_height' => '24px',
            'content_color' => '#333',
            'content_align' => 'center',

            'button_text' => 'Check Out Now!',
            'button_type' => 'wpob_button_gradient',
            'button_text_font_familiy'  => 'Georgia',
            'button_text_font_size' => '18px',
            'button_text_color' => '#fff',
            'button_bg_color' => '#0c8442',
            'button_border_radius' => '5px',
            'button_align' => 'center',
            'button_link' => '',
            'button_width' => '',
            'button_target_blank' => true,

            'image_url' => TEMPLATE_DIR_URL . 'images/social-media.png',
            'image_width' => '200px',
            'image_height' => '200px',
            'image_align' => 'left'
    );
}  

// Important to mention this:

$wpob_default_fields['use_heading'] = true;
$wpob_default_fields['use_content'] = true;
$wpob_default_fields['use_image'] = true;

/* 
 * 
 * Code it in the premium version
 * Possible custom field types : text, textarea, color, upload
 * $wpob_custom_fields = array(
 *      'name_of_field' => array('default_value','custom_field_type')
 * );
 * 
 */     
?>


<style>

    .wpob_template_main_<?php echo $box_id; ?>{
        background-color: <?php echo $wpob_default_fields['box_container_bg_color']; ?>;
        max-width: <?php echo $wpob_default_fields['box_container_width']; ?>;
        height: <?php echo $wpob_default_fields['box_container_height']; ?>;
        border-width: <?php echo $wpob_default_fields['box_container_border_width']; ?>;
        border-color: <?php echo $wpob_default_fields['box_container_border_color']; ?>;
        margin-top: <?php echo $wpob_default_fields['box_container_margin_top']; ?>;
        margin-bottom: <?php echo $wpob_default_fields['box_container_margin_bottom']; ?>;
        margin-left: <?php echo $wpob_default_fields['box_container_margin_left']; ?>;
        margin-right: <?php echo $wpob_default_fields['box_container_margin_right']; ?>;
        
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_heading{
        background-color: <?php echo $wpob_default_fields['heading_bg_color']; ?>;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_heading_text{
        font-family:    '<?php echo $wpob_default_fields['heading_font_familiy']; ?>', serif;
        font-size:      <?php echo $wpob_default_fields['heading_font_size']; ?>;
        line-height:    <?php echo $wpob_default_fields['heading_line_height']; ?>;
        color:          <?php echo $wpob_default_fields['heading_color']; ?>;
        text-align:     <?php echo $wpob_default_fields['heading_align']; ?>;
        text-transform: uppercase;
        font-weight: 900;
        margin: 0;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_media_container{
        display: inline-block;
        width: <?php echo $wpob_default_fields['image_width']; ?>;
        height: <?php echo $wpob_default_fields['image_height']; ?>;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_content_container{
        
    }    
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_image{
        width: 100%;
        height: 100%;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_media_center{
        display: block;
        margin: 0 auto;
        padding: 10px;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_media_right{
        float: right;
        padding: 10px 0px 10px 20px;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_media_left{
        float: left;
        padding: 10px 20px 10px 0px;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_content{
        font-family:    <?php echo $wpob_default_fields['content_font_familiy']; ?>;
        font-size:      <?php echo $wpob_default_fields['content_font_size']; ?>;
        line-height:    <?php echo $wpob_default_fields['content_line_height']; ?>;
        color:          <?php echo $wpob_default_fields['content_color']; ?>;
        text-align:     <?php echo $wpob_default_fields['content_align']; ?>;
        padding: 1em;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_button_div{
        text-align: <?php echo $wpob_default_fields['button_align']; ?>;
        padding: 0em 1em 1em 1em;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_button_div a.wpob_box_button, .wpob_template_main_<?php echo $box_id; ?> .wpob_box_button_div button.wpob_box_button{
        font-family:    <?php echo $wpob_default_fields['button_text_font_familiy']; ?>;
        font-size:      <?php echo $wpob_default_fields['button_text_font_size']; ?>;
        color:          <?php echo $wpob_default_fields['button_text_color']; ?>;
        background-color: <?php echo $wpob_default_fields['button_bg_color']; ?>;
        border-radius: <?php echo $wpob_default_fields['button_border_radius']; ?>;
        width: <?php echo $wpob_default_fields['button_width']; ?>;
        padding: 10px 15px;
    }
    
    <?php echo $wpob_default_fields['button_type_css']; ?>
    
    <?php echo (isset($wpob_default_fields['custom_css'])) ? $wpob_default_fields['custom_css'] : ""; ?>
    
</style>


<div class="wpob_template_main wpob_template_main_<?php echo $box_id; ?> <?php echo $wpob_settings_data['box_fade_in']." ".$wpob_settings_data['box_make_sticky']; ?>" data-fadetime="<?php echo $wpob_settings_data['box_fade_in_time']; ?>" data-boxid="<?php echo $box_id; ?>" data-boxname="<?php echo $box_name; ?>" id="<?php echo uniqid('wpob_id_'); ?>">
    <div class="wpob_box_heading">
        <div class="wpob_box_heading_text"><?php echo $wpob_default_fields['heading_text']; ?></div>
    </div>
    <div class="wpob_box_all_content_container">
        <div class="wpob_box_media_container wpob_box_media_<?php echo $wpob_default_fields['image_align']; ?>">    
            <img class="wpob_box_image" src="<?php echo $wpob_default_fields['image_url']; ?>" />
        </div>
        <div class="wpob_box_content_container">    
            <div class="wpob_box_content">
                <?php echo $wpob_default_fields['content_text']; ?>
            </div>    
            <div class="wpob_box_button_div">
                <a href="<?php echo $wpob_default_fields['button_link']; ?>" target="<?php echo ($wpob_default_fields['button_target_blank'] == 'true') ? '_blank' : ''; ?>" id="wpob_box_button_<?php echo $box_id; ?>" class="wpob_box_button <?php echo $wpob_default_fields['button_type']; ?>"><?php echo $wpob_default_fields['button_text']; ?></a>
            </div>
        </div>    
        <div style="clear: both;"></div>
    </div>
</div>