<?php
/**
 * @package   WP_Optin_Boxes
 * @author    Ram Shengale & Ankur Shukla
 * @license   GPL-2.0+
 * @copyright 2015 WP Optin Boxes
 *
 * @wordpress-plugin
 * Plugin Name:       WP Optin Boxes
 * Plugin URI:        http://wpoptinboxes.com
 * Description:       Same Traffic. More Conversions. Replace your CTAs and email/optin subscriber boxes with WP Optin Boxes and skyrocket your conversion rate.
 * Version:           1.0
 * Author:            Ram Shengale & Ankur Shukla
 * Author URI:        http://wpoptinboxes.com
 * Text Domain:       wp-optin-boxes
 * Domain Path:       /lang/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 */

if ( ! defined( 'WPINC' ) ) {
	die;
}

// Localization
function wpob_init(){
    load_plugin_textdomain('wp-optin-boxes', false, dirname(plugin_basename(__FILE__)) . "lang/");
}
add_action('init', 'wpob_init');

/**********************************************
* Define most used URLS and Paths
**********************************************/

//Check if other plugin is installed.

if ( defined( 'WPOB_WEBSITE_URL' ) ) {
    deactivate_plugins( plugin_basename( __FILE__ ) ); 
    wp_die('<h2>Hey hold on!</h2> <p>Looks like you already have <strong>WP Optin Boxes Pro</strong> installed and active on this site. You can only have either Lite or Pro version active on this blog at a time.</p> <p>If you want to use Lite version instead, simply deactivate the Pro version first and then activate this plugin again.</p> <p><a href="' . admin_url( 'plugins.php' ) . '">&laquo; Return to Plugins</a></p>');
}
else{
    define( 'WPOB_WEBSITE_URL', 'http://wpoptinboxes.com' );
}

define('ADMIN_ASSETS_URL', plugins_url('admin/assets/', __FILE__ ));
define('PUBLIC_ASSETS_URL', plugins_url('public/assets/', __FILE__ ));

define('TEMPLATE_DIR_PATH', plugin_dir_path(__FILE__).'templates/');
define('TEMPLATE_DIR_URL', plugins_url( 'templates/',__FILE__)); 

define('WPOB_TEMPLATE_DIR_PATH',plugin_dir_path(__FILE__).'templates/');

define('MAILERS_DIR_PATH', plugin_dir_path(__FILE__).'admin/mailers/');
define('AMAZON_S3_ASSETS_FOLDER', 'http://optinboxes.s3.amazonaws.com/previews/');

/***********************************************
 * Load wpob-public.php file.
 **********************************************/

require_once( plugin_dir_path( __FILE__ ) . 'public/class.tracker.php' );
require_once( plugin_dir_path( __FILE__ ) . 'public/class.public.php' );
add_action( 'plugins_loaded', array( 'WPOB_Tracker', 'get_instance' ) );
add_action( 'plugins_loaded', array( 'WPOB_Public', 'get_instance' ) );

require_once( plugin_dir_path( __FILE__ ) . 'admin/classes/wp-updates-plugin.php');
new WPUpdatesPluginUpdater_1323( 'http://wp-updates.com/api/2/plugin', plugin_basename(__FILE__));

/***********************************************
* Plugin activate and deactivate hook.
***********************************************/

register_activation_hook( __FILE__, array( 'WPOB_Public', 'activate' ) );
register_deactivation_hook( __FILE__, array( 'WPOB_Public', 'deactivate' ) );

/**********************************************
 * Load wpob-admin.php file for Admin area.
 **********************************************/

if ( is_admin() ) {
	require_once( plugin_dir_path( __FILE__ ) . 'admin/class.admin.php' );
	add_action( 'plugins_loaded', array( 'WPOB_Admin', 'get_instance' ) );
}